module Apiotics
  class Configuration
  
    attr_accessor :public_key, :private_key, :local_logging, :targets, :local_port, :server, :server_port, :portal, :push, :tls, :verify_peer, :handshake, :parents, :reduced_metadata, :redis_comms_connection, :interface_kinds, :max_missed_heartbeats, :heartbeat_interval, :heroku, :server_type, :mqtt_port, :aws_endpoint, :create_heartbeat_error
  
    def initialize
      @public_key = nil
      @private_key = nil
      @local_logging = false
      @targets = nil
      @local_port = 8001
      @server = "rgs.microarx.com"
      @server_port = 8000
      @portal = "https://portal.apiotics.com/"
      @push = false
      @tls = true
      @verify_peer = true
      @handshake = true
      @parents = {}
      @reduced_metadata = false
      @redis_comms_connection = false
      @max_missed_heartbeats = 3
      @heartbeat_interval = 5
      @create_heartbeat_error = false
      @heroku = false
      @server_type = nil
      @mqtt_port = 8883
      @aws_endpoint
      @interface_kinds = {
        "string" => "string",
        "text" => "string",
        "smallint" => "integer",
        "integer" => "integer",
        "bigint" => "integer",
        "float" => "float",
        "boolean" => "boolean",
        "enum" => "string",
        "json" => "json",
        "uint8_t" => "integer",
        "uint16_t" => "integer",
        "uint32_t" => "integer",
        "int16_t" => "integer",
        "int32_t" => "integer",
        "int64_t" => "integer"
      }
    end
  
  end
end