namespace :firmware do
  desc "Set Wifi details for a device (if applicable).  Use rake firmware:wifi[ssid, password, security_mode] to set the wifi details for a device."
  task :wifi, [:ssid, :password, :security_mode] => [:environment] do |task, args|
    security_modes = ["WEP", "WPA", "WPA2", "NONE"]
    password = args[:password] || 'NONE'
    if args[:security_mode] != nil
      unless security_modes.include?(args[:security_mode])
        puts "#{args[:security_mode]} is not a supported WiFi security mode.  The supported security modes are: #{security_modes.to_s}"
      else
        Apiotics::Hardware.wifi(args[:ssid], password, args[:security_mode])
      end
    else
      Apiotics::Hardware.wifi(args[:ssid], password, "NONE")
    end
  end
end

#